from abc import ABC, abstractmethod

from src.core.ai_services.schemas import MessageFromChatSchema, ResponseFromAiSchema


class BaseAiService(ABC):
    @abstractmethod
    async def create_request_ai(
        self,
        messages: list[MessageFromChatSchema],
    ) -> ResponseFromAiSchema:
        raise NotImplementedError
