from pydantic import BaseModel

from src.core.ai_services.schemas import MessageFromChatSchema


class ChatMessageSchema(MessageFromChatSchema):
    chat_id: int
    messages: list[MessageFromChatSchema]


class FullRequestForGeminiSchema(BaseModel):
    chats: list[ChatMessageSchema]

