import asyncio
import json

import google.generativeai as genai

from src.core.common.promt import ANALYTIC_PROMT, ROLE

model = genai.GenerativeModel("gemini-1.5-flash")
# model.generate_content_async(
#     contents="Explain how AI works",
# )
# response = model.generate_content("Explain how AI works")
data = {
    "messages": [
        {'message_id': 116459, 'user_id': 299500769, 'chat_id': -1001412374171,
         'text': 'Это конечно круто, но не надо в питон тащить свои когнитивные искажения из джава мира))',
         'date': '29/01/2025:22:54:08'},
        {'message_id': 116460, 'user_id': 299500769, 'chat_id': -1001412374171,
         'text': 'Не говорю, что там не правильно, просто не везде применимо)', 'date': '29/01/2025:22:54:29'},
        {'message_id': 116461, 'user_id': 6295079014, 'chat_id': -1001412374171, 'text': 'ну так слоистая зато)',
         'date': '29/01/2025:22:54:35'},
        {'message_id': 116462, 'user_id': 6295079014, 'chat_id': -1001412374171,
         'text': 'линтеры, IDE, типы - ради этого если кратко', 'date': '29/01/2025:22:55:26'},
        {'message_id': 116463, 'user_id': 299500769, 'chat_id': -1001412374171,
         'text': 'Не все 1 в 1 переносится от языка к языку)', 'date': '29/01/2025:22:55:33'},
        {'message_id': 116464, 'user_id': 408922819, 'chat_id': -1001412374171,
         'text': 'в каком месте у тебя здесь циклические импорты?', 'date': '29/01/2025:22:55:39'},
        {'message_id': 116465, 'user_id': 6295079014, 'chat_id': -1001412374171,
         'text': 'chat/models.py\nuser/models.py\n\n ссылаются друг на друга ибо в каждом есть импорты друг друга\n\nuser/models.py\nfrom src.chat.models import Chat, ChatMessage\n\nchat/models.py\nfrom src.user.models import User',
         'date': '29/01/2025:22:57:45'},
        {'message_id': 116466, 'user_id': 408922819, 'chat_id': -1001412374171,
         'text': 'ах ты их еще и по аппкам разнес', 'date': '29/01/2025:22:58:34'},
        {'message_id': 116467, 'user_id': 6295079014, 'chat_id': -1001412374171,
         'text': 'если есть грамотный пример структуры приложения fastapi прошу прислать)',
         'date': '29/01/2025:22:58:55'},
    ]
}

BASE_MESSAGE = [
    {
        "role": "user",
        "parts": [{"text": ROLE.strip()}]
    },
    {
        "role": "user",
        "parts": [{"text": ANALYTIC_PROMT.strip()}]
    },
    {
        "role": "user",
        "parts": [json.dumps(data)]
    },

]

async def print_response():
    res = await model.generate_content_async(BASE_MESSAGE)
    print(res.text)
    print(res.usage_metadata)

async def check_limits():
    response = await model.generate_content_async("Как посмотреть сколько лимитов в gemini gemini cloude у меня осталось")

    # Вывод метаданных из ответа
    print(response.text)
    print("Usage metadata:", response.usage_metadata)


asyncio.run(check_limits())
# asyncio.run(print_response())
