from datetime import datetime

from sqlalchemy import ForeignKey
from sqlalchemy.orm import Mapped, mapped_column

from src.core.database import Base



class TgMessage(Base):
    text: Mapped[str]
    message_time: Mapped[datetime]
    user_id: Mapped[int] = mapped_column(
        ForeignKey("users.id"),
    )
    chat_id: Mapped[int] = mapped_column(
        ForeignKey("chats.telegram_chat_id"),
    )
