from pyrogram.types import Message
from pyrogram.enums import ChatType

def check_message_condition(
        message: Message,
) -> bool:
    conditions = (
        message.chat.type not in [ChatType.PRIVATE, ChatType.BOT],
        bool(message.from_user),
        bool(message.text),
    )
    return all(conditions)

